Fetch salesagents

GET /fetch-salesagent-by-pincode

Use this endpoint to retrieve a detailed list of fetch-salesagent-by-pincode in your organization. This version is more concise, clear, and improves overall readability.

Header

                    
                        
                        
                        Content-Type
                        Example: application/json
                        Accept
                        Example: application/json
                    
                

Query Parameters

Parameter Datatype Description
pincode Integer(required) 6 digit postal code.

Response Parameters

Parameter Datatype Description
data object This object contains the entire resource.
id Integer The unique postalcode identifier.
first_name String The first name of slalesagent.
last_name String The last name of slalesagent.
mobile String The phone number of slalesagent.

Sample Request

                    
                        curl --location 'https://webservices.sourcehub.in/api/fetch-salesagent-by-pincode?pincode=560063'
                    
                

Sample Success Response

                    
                        {
                            "data": [
                                {
                                    "id": 12,
                                    "first_name": "Archa",
                                    "last_name": "Jha",
                                    "mobile": "6396281221"
                                },
                                {
                                    "id": 16,
                                    "first_name": "Samath",
                                    "last_name": "roy",
                                    "mobile": "8888899999"
                                },
                                {
                                    "id": 18,
                                    "first_name": "Madhu",
                                    "last_name": "Saha",
                                    "mobile": "9292929292"
                                },
                                {
                                    "id": 19,
                                    "first_name": "Ritwika",
                                    "last_name": "Das",
                                    "mobile": "9494949494"
                                }
                            ],
                            "message": ""
                        }
                    
                

Errors

The API key/secret provided is invalid. Error Status: 401

The API credentials passed in the API call differ from the ones generated on the Dashboard. Possible reasons are:

  • Different keys for test mode and live modes.
  • Expired API key.

Solution :
The API keys must be active and entered correctly with no whitespace before or after the keys.

CONTENTS